<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approval Asset Procurement</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
<section class="section">
    <div class="section-header">
        <h1>Pengadaan Aset</h1>
    </div>
    <div class="section-body">
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <a th:href="@{/approval/pengadaanAset/list}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                            <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                        <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                            <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                        <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                            <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                        <br>
                        <div class="row">
                            <div class="col-md-4">
                                <a th:href="@{/approval/assetProcurement/listApproved}" th:if="${status == null}" class="btn btn-primary btn-block">All</a>
                                <a th:href="@{/approval/assetProcurement/listApproved}" th:if="${status != null}" class="btn btn-secondary btn-block">All</a>
                            </div>
                            <div class="col-md-4">
                                <a th:href="@{/approval/assetProcurement/payment/list(status = 'BELUM_DIBAYAR')}" th:if="${status == 'BELUM_DIBAYAR'}" class="btn btn-primary btn-block">Belum Dibayar</a>
                                <a th:href="@{/approval/assetProcurement/payment/list(status = 'BELUM_DIBAYAR')}" th:if="${status != 'BELUM_DIBAYAR'}" class="btn btn-secondary btn-block">Belum Dibayar</a>
                            </div>
                            <div class="col-md-4">
                                <a th:href="@{/approval/assetProcurement/payment/list(status = 'SUDAH_DIBAYAR')}" th:if="${status == 'SUDAH_DIBAYAR'}"  class="btn btn-primary btn-block">Sudah Dibayar</a>
                                <a th:href="@{/approval/assetProcurement/payment/list(status = 'SUDAH_DIBAYAR')}" th:if="${status != 'SUDAH_DIBAYAR'}"  class="btn btn-secondary btn-block">Sudah Dibayar</a>
                            </div>
                        </div>
                        <br>
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th> # </th>
                                    <th> Nama Asset </th>
                                    <th> Jumlah </th>
                                    <th> Spek Aset </th>
                                    <th> Status </th>
                                    <th> Status Pembayaran </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listApproved}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.namaAset}"></td>
                                    <td th:text="${data.jumlah}"></td>
                                    <td>
                                        <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModalGo' + data.id}">
                                            Lihat Detail
                                        </button>

                                        <!-- Modal -->
                                        <div class="modal fade" th:id="${'exampleModalGo' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="form-group">
                                                                <label>Spek Aset</label>
                                                                <p><b th:text="${data.spekAset}"></b></p>
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Kegunaan</label>
                                                                <p><b th:text="${data.kegunaan}"></b></p>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                    <td th:if="${data.statusApproved == 'APPROVED'}"><button class="btn btn-outline-success btn-sm">APPROVED</button></td>
                                    <td>
                                        <button class="btn btn-danger btn-sm" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">BELUM DIBAYAR</button>
                                        <button class="btn btn-success btn-sm" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}">SUDAH DIBAYAR</button>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                            <nav>
                                <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                    <li class="page-item"><a class="page-link" href="#">4</a></li>
                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
</div>
</body>
</html>